/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
html{
    font-family: 'Montserrat', 'sans-serif';
}
.h1_custom,.h2_custom,.h3_custom, h1, h2, h3, h4 {
    color: #1F355E;
}
.h1_custom {
    font-weight: bold;
    font-size: 2rem;
    line-height: 3rem;
}

.h2_custom {
    font-weight: bold;
    font-size: 1.5rem;
    line-height: 2.25rem;
}

.h3_custom {
    font-weight: bold;
    font-size: 1.25rem; /* 20px / 16 */
    line-height: 1.875rem; /* 30px / 16 */
}

span,
p, a, li{
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.5rem;
}

.font-800>span{
    font-weight: 800;
}
.custom-fs {
    font-size: 2rem;
}

.border-img_about {
    border-radius: 8px;
}

.border-img_about .img-inner img {
    border-radius: 8px;
}
.pad-0 {
    padding: 0 !important;
}

.pad-bottom {
    padding-bottom: 0 !important;
}

.image-none a img {
    border-radius: 8px;
}

.custom-gardient {
    position: relative;
}

.custom-gardient::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    /* background: linear-gradient(90deg, #1f355e 50%, rgba(255, 255, 255, 0) 100%); */
    background-color: #1f355e;
    opacity: 0.8;
    z-index: 1;
}
/* blog */

.widget-title>h2 {
    margin-bottom: 0 !important;
}
.searchform>div {
    overflow: hidden;
}
.search-field {
    background-color: transparent !important;
}
.blog-box_border>.post-item>.col-inner {
    border: 1px solid #00000012;
    border-radius: 8px;
}
.blog-archive .col-inner{
    border: 1px solid #00000012;
    border-radius: 8px;
}
.blog-box_border>.box-image{
    width: 50% !important;
}
.image-cover{
    padding-top: 50% !important;
}
.head-centent__post{
    margin-bottom: .5em;
}

.img-link_centent__post>img {
    border-radius: 8px;
}
.wp-element-caption {
    text-align: center;
}
.cat-item>a>i{
    width: 20px;
    height: 20px;
    
}
.fa-book{
    font-size: 20px;
}
.fa-gears{
    font-size: 16px;
}
.recent-blog-posts>.flex-grow>a{
     display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.badge-inner{
    border-radius: 4px;
}
.ux-search-submit{
    background-color: #fff !important;
    box-shadow: none !important;
    color: #000 !important;
    border: none !important;
    border-top-right-radius: 8px !important;
    border-bottom-right-radius: 8px !important;
}
.search-field{
    border: none !important;
    box-shadow: none !important;
    border-top-left-radius: 8px !important;
    border-bottom-left-radius: 8px !important;
}
.searchform>.flex-row{
    box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.25);
    border-radius: 8px;
}
.post-sidebar{
    border: none !important;
}
.widget_categories{
    border-radius: 8px;
    border: 2px solid #1F355E;
    overflow: hidden;
}
.widget_categories>ul {
    padding: 10px;
}
.widget-title{
    background-color: #1F355E;
    padding: 10px;
    color: #fff;
    font-weight: bold;
}
.widget-title>span{
    font-weight: 800;
}
.is-divider{
    display: none !important;
}

.flatsome_recent_posts{
    border-radius: 8px;
    border: 1px solid #00000012;
    overflow: hidden;
}
.flatsome_recent_posts>ul{
    padding: 10px;
}
.author_sidebar{
    border-radius: 8px;
    border: 1px solid #00000012;
    overflow: hidden;
}

.current-cat>a {
    color: #497DDE !important;
}

.block_widget {
    border-radius: 8px;
    border: 1px solid #00000012;
    overflow: hidden;
}
.social-title{
    background-color: #1F355E;
    padding: 10px;
    color: #fff;
    font-weight: bold;
}
#block_widget-3{
    border-radius: 8px;
    border: 1px solid #00000012;
    overflow: hidden;
}
.custom-social{
    padding: 10px;
} 

.post-title>a{
    font-weight: 800;
}
/* blog end */

span.amount {
    color: #497DDE;
}

.product-page-price>span {
    font-size: 1.25rem;
}
.ephlies {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.ceo-img>.img-inner>img{
    border-radius: 50%;
}
.custom-layout_ceo{
    background: linear-gradient(90deg, #1f355e 30%, #fff 21%);
}
.custom-box-ceo>.col-inner{
    min-height: 215px;
}
/* footer */
.pad-0_footer>.ux-logo-link{
    padding-left: 0 !important;
    padding-top: 0 !important;
}
.footer-link{
    color:#777 !important;
}
/* end footer */
.text-white {
    color: #fff !important;
}
.partner-custom{
    min-height: 130px;
    align-items: center;
    display: flex;
    justify-content: center;
}
.partner-custom>.img-inner>img{
    width: 50%;
}
.partner-custom__1>.img-inner>img{
    width: 38%;
}
.partner-custom__2>.img-inner>img{
    width: 70%;
}
.partner-custom__3>.img-inner>img{
    width: 44%;
}
.partner-custom>.img-inner{
    text-align: center;
}
/* product */
.woocommerce-loop-product__link{
    font-weight: 800;
}
.custom_tabs>ul>.active>a>h3{
    font-weight: 800 !important;
    color: #1F355E;
}
.custom_title-tabs{
    color: #777777;
    font-weight: 400;
}
/* product */
@media only screen and (min-width: 49em){
    /* blog desktop */
    .post-sidebar {
        padding: 0 !important;
    }
    .plain img{
        border-top-left-radius: 8px;
        border-bottom-left-radius: 8px;
    }
    /* blog desktop end */
    .border-custom::before {
    content: "";
    display: block;
    position: absolute;
    height: 100%;
    width: 5px;
    background-color: #D9D9D9;
    top: 0;
    right: 0;
    }
}
.margin-button{
    margin-top: 30px;
}
@media only screen and (max-width: 30em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/

.reserve {
    flex-direction: column-reverse !important;
}
.custom-fs {
    font-size: 1.5rem;
}

.border-custom {
    border: none !important;
}

.h1_custom {
    font-weight: bold;
    font-size: 1.75rem !important;
    line-height: 2.1875rem !important;
}

.h2_custom {
    font-weight: bold;
    font-size: 1.5rem !important;
    line-height: 1.875rem !important;
}

.h3_custom {
    font-weight: 800 !important;
    font-size: 1.25rem !important;
    line-height: 1.5625rem !important;
}

/* blog */
.blog-post-inner{
    padding-right: 10px;
    padding-left: 10px;
}
.plain img{
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}
/* end blog */

.custom-layout_ceo {
    background: linear-gradient(180deg, #1f355e 30%, #fff 21%);
}
.partner-custom {
    min-height: 220px;
}

.custom-gardient::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(90deg, #1f355e 70%, #1f355e 100%) !important;
    opacity: 0.8;
    z-index: 1;
}
}
#masthead .header-nav-main.nav{flex-wrap: nowrap;}
#masthead .header-nav-main.nav .col{margin: 0;padding: 0}
#masthead .header-nav-main.nav .col .icon-box{align-items: center;}
.testimonial-box{background: #fff;border-radius: 10px;padding: 20px 10px}
.dark .testimonial-box p{color: #666}
.dark .testimonial-box{color: #333}
.testimonial-box .star-rating span:before,#reviews .star-rating span:before,#reviews .stars a.active:after,#reviews .stars a:hover:after{color: #fcba03;top: -4px}
.feedback .flickity-page-dots{bottom: 0}
.product-small .secondary.on-sale{
    background-color: transparent; 
    background-image: url("assets/images/iconsale.png");
    background-repeat: no-repeat;
    background-size: cover;
}
.product-small .badge{width: 65px;height: 65px}
.secondary.on-sale .onsale {
    font-size: 15px;
    font-weight: bold;
    color: #000;
    transform: rotate(352deg);
    position: absolute;
    top: 30px;
    left: 8px;
    text-transform: uppercase;
    display: flex;
    align-items: start;
    gap: 3px;
}
.secondary.on-sale .onsale span{font-size: 12px; font-weight: bold; font-family: 'Arial', sans-serif;}
.popup-form{    
    position: fixed;    
    z-index: 99999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
}
.popup-form form{
    position: fixed;
    background: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 0px 10px -4px #999;
    padding: 20px 30px;
    top: 10%;
    left: 50%;
    max-width: 600px;
    width: 100%;
    transform: translateX(-50%);
    border-radius: 10px;
    max-height: 550px;
    overflow-y: auto;
    animation: tobottom 0.5s ease 1;
}
.popup-form:before{
    content: "";
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
}
.popup-form .flex-row{gap: 10px}
.popup-form button.close{background: var(--fs-color-alert); color: #fff;margin: 0}
.popup-form .closegroup p{ display:flex; justify-content:end; }
@keyframes tobottom {
  from {top: -20%;}
  to {top: 10%}
}
.popup-form form::-webkit-scrollbar {
  width: 5px;
}

.popup-form form::-webkit-scrollbar-thumb {
    background-color: #14245d;
    border-radius: 10rem;
}
.popup-form form::-webkit-scrollbar-track {
  position: absolute;
  right: -3rem;
  top: -40rem;
  background: transparent;
}
@media (max-width: 849px) {
    .popup-form .flex-wrap {
        align-items: start;
    }
    .button-popup a.button{margin-right: 0;margin-bottom: 10px}
}
.widget_price_filter .widget-title{background: transparent; color: #1F355E;padding: 10px 0}
.widget_price_filter span{font-size: 14px}
.row .section-km{padding: 0 15px!important}
.khuyenmai-category{border: 2px solid #d60b0b;position: relative;}
.khuyenmai-category .col{padding: 20px;position: unset;}
.khuyenmai-category .col .col-inner{position: unset;}
.khuyenmai-category .col p{margin-top: 15px;margin-bottom: 0}
.khuyenmai-category .icon-box p{margin: 0}
.khuyenmai-category .icon-box {
    position: absolute;
    top: 0;
    left: 30px;
    transform: translateY(-50%);
    background-color: var(--fs-color-alert);
    color: #fff;
    border-radius: 30px;
    width: max-content;
    padding: 5px 15px;
}
.show-more {
    display: block;
    position: sticky;
}
.show-more::before {
    background: -webkit-gradient(linear, 0 100%, 0 0, from(#fff), color-stop(0.2, #fff), to(rgba(255, 255, 255, 0)));
    content:"";
    display: block;
    height: 55px;
    margin-top: -45px;
}
.button-red {
    background-color: var(--fs-color-alert);
    width: 50%;
    text-align: center;
    color: #fff!important;
}

.button-red:after {
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #fff;
    content: "";
    display: inline-block;
    margin: -2px 0 0 5px;
    right: 0;
    vertical-align: middle;
    width: 0
}
.button-red.open:after{transform: rotate(180deg);}
.readmore {
    color: #FFF;
    text-align: center;
    font-size: 16px;
    background: var(--fs-color-alert);
    line-height: 40px;
    margin: auto;
    display: block;
    transition: .1s all;
    font-weight: 600;
    padding: 0 50px;
    border-radius: 19px;
    border: 1.5px solid var(--fs-color-alert);
    width: -moz-fit-content;
    width: fit-content;
}
.term-description{max-height: 300px;overflow: hidden;}
.term-description.expanded{max-height: unset;}
@keyframes shakeShake {
    0% {
        transform: rotate(0) scale(1) skew(1deg)
    }
    10% {
        transform: rotate(-25deg) scale(1) skew(1deg)
    }
    20% {
        transform:rotate(25deg) scale(1) skew(1deg)
    }
    30% {
        transform:rotate(-25deg) scale(1) skew(1deg)
    }
    40% {
        transform:rotate(25deg) scale(1) skew(1deg)
    }
    50% {
        transform:rotate(0) scale(1) skew(1deg)
    }
    to {
        transform: rotate(0) scale(1) skew(1deg)
    }
}
.buttonizer img,.buttonizer i{
    animation: shakeShake 1s ease-in-out infinite;
    width: 30px;
    height: 30px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}
.wp-caption,figure.wp-block-image,figcaption.wp-element-caption,figure figcaption{max-width: 100%;display: block!important;}
.product-small .badge-container{margin-top: 0}